Loading...
Searching...
No Matches
ClipBase.h File Reference

Header file for ClipBase class. More...

`#include <memory>`
`#include <sstream>`
`#include "CacheMemory.h"`
`#include "Frame.h"`
`#include "Point.h"`
`#include "KeyFrame.h"`
`#include "Json.h"`
`#include "TimelineBase.h"`

Go to the source code of this file.

## Classes

class | openshot::ClipBase
| This abstract class is the base class, used by all clips in libopenshot. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for ClipBase class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file ClipBase.h.